#2671 closed defect (wontfix)

moxie tools fail to build on 4.11

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11.3
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I recall needing to sync the binutils and gcc. Checking an old install for 4.11, I noticed that the gcc seems to match what is configured but the binutils is older (2.25).

[joel@rtbf64c ~]$ ~/rtems-4.11-work/tools/4.11/bin/moxie-rtems4.11-as --version
GNU assembler (GNU Binutils) 2.25
Copyright (C) 2014 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License version 3 or later.
This program has absolutely no warranty.
This assembler was configured for a target of `moxie-rtems4.11'.
[joel@rtbf64c ~]$ ~/rtems-4.11-work/tools/4.11/bin/moxie-rtems4.11-gcc --version
moxie-rtems4.11-gcc (GCC) 4.9.3 20150626 (RTEMS 4.11, RSB 075ed1c8e2363ec7fcfcaec6b648222597009f20, Newlib 2.2.0.20150423)
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Error below:

/home/joel/rtems-4.11-work/rtems-source-builder/rtems/build/moxie-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-linux-gnu-1/build/./gcc/xgcc -B/home/joel/rtems-4.11-work/rtems-source-builder/rtems/build/moxie-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-linux-gnu-1/build/./gcc/ -nostdinc -B/home/joel/rtems-4.11-work/rtems-source-builder/rtems/build/moxie-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-linux-gnu-1/build/moxie-rtems4.11/newlib/ -isystem /home/joel/rtems-4.11-work/rtems-source-builder/rtems/build/moxie-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-linux-gnu-1/build/moxie-rtems4.11/newlib/targ-include -isystem /home/joel/rtems-4.11-work/rtems-source-builder/rtems/build/moxie-rtems4.11-gcc-4.9.3-newlib-2.2.0.20150423-x86_64-linux-gnu-1/gcc-4.9.3/newlib/libc/include -B/home/joel/rtems-4.11-work/tools/4.11/moxie-rtems4.11/bin/ -B/home/joel/rtems-4.11-work/tools/4.11/moxie-rtems4.11/lib/ -isystem /home/joel/rtems-4.11-work/tools/4.11/moxie-rtems4.11/include -isystem /home/joel/rtems-4.11-work/tools/4.11/moxie-rtems4.11/sys-include -g -O2 -mel -O2 -I../../../../gcc-4.9.3/libgcc/../newlib/libc/sys/rtems/include -g -O2 -DIN_GCC -DCROSS_DIRECTORY_STRUCTURE -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -isystem ./include -g -DIN_LIBGCC2 -fbuilding-libgcc -fno-stack-protector -Dinhibit_libc -I. -I. -I../../.././gcc -I../../../../gcc-4.9.3/libgcc -I../../../../gcc-4.9.3/libgcc/. -I../../../../gcc-4.9.3/libgcc/../gcc -I../../../../gcc-4.9.3/libgcc/../include -DHAVE_CC_TLS -DUSE_EMUTLS -o _ashldi3.o -MT _ashldi3.o -MD -MP -MF _ashldi3.dep -DL_ashldi3 -c ../../../../gcc-4.9.3/libgcc/libgcc2.c -fvisibility=hidden -DHIDE_EXPORTS
/tmp/cctmIP4r.s: Assembler messages:
/tmp/cctmIP4r.s:26: Error: unknown opcode sub.l $r1,$r2
Makefile:463: recipe for target '_negdi2.o' failed
make[4]: * [_negdi2.o] Error 1
make[4]:
* Waiting for unfinished jobs....
/tmp/ccaQiOcs.s: /tmp/ccWFtIrs.s: Assembler messages:
Assembler messages:
/tmp/ccaQiOcs.s:22: Error: unknown opcode sub.l $r3,$r2
/tmp/ccWFtIrs.s:44: Error: unknown opcode mul.l $r12,$r6
/tmp/ccWFtIrs.s:46: Error: unknown opcode mul.l $r4,$r1
/tmp/ccWFtIrs.s:49: Error: unknown opcode mul.l $r8,$r1
/tmp/ccWFtIrs.s:52: Error: unknown opcode mul.l $r3,$r6
/tmp/ccWFtIrs.s:56: Error: unknown opcode add.l $r6,$r3
/tmp/ccWFtIrs.s:61: Error: unknown opcode add.l $r3,$r6
/tmp/ccWFtIrs.s:68: Error: unknown opcode add.l $r1,$r4
/tmp/ccWFtIrs.s:75: Error: unknown opcode add.l $r1,$r4
/tmp/ccWFtIrs.s:89: Error: unknown opcode mul.l $r0,$r4
/tmp/ccWFtIrs.s:93: Error: unknown opcode mul.l $r2,$r4
/tmp/ccWFtIrs.s:95: Error: unknown opcode add.l $r0,$r2
/tmp/ccWFtIrs.s:99: Error: unknown opcode add.l $r0,$r12
/tmp/ccWFtIrs.s:100: Error: unknown opcode add.l $r1,$r2
Makefile:463: recipe for target '_muldi3.o' failed
make[4]: * [_muldi3.o] Error 1
make[4]:
* [_lshrdi3.o] Error 1

Change History (7)

comment:1 Changed on Mar 21, 2016 at 2:54:34 PM by Joel Sherrill

The following is sufficient to get a toolset built.

diff --git a/rtems/config/4.11/rtems-moxie.bset b/rtems/config/4.11/rtems-moxie.bset
index 0473f02..c8f764e 100644
--- a/rtems/config/4.11/rtems-moxie.bset
+++ b/rtems/config/4.11/rtems-moxie.bset
@@ -22,7 +22,7 @@

4.11/rtems-autotools
devel/expat-2.1.0-1
devel/dtc-1.4.1-1

-tools/rtems-binutils-2.26-1
+tools/rtems-binutils-2.25-1

tools/rtems-gcc-4.9.3-newlib-2.2.0-20150423-1
tools/rtems-gdb-7.9-1
tools/rtems-tools-4.11-1

comment:2 Changed on Mar 21, 2016 at 3:27:18 PM by Joel Sherrill

moxie/moxiesim built but didn't run:

Starting program: /home/joel/rtems-4.11-work/rtems-testing/rtems/ticker-executables/moxie-moxiesim-ticker.ralf
sim-core.c:476: assertion failed - (addr & (nr_bytes - 1)) == 0
Aborted (core dumped)

But at least the tools build. I will confirm status on the master once I get time.

comment:3 Changed on Jan 26, 2017 at 7:05:37 AM by Sebastian Huber

Milestone: 4.114.11.2

comment:4 Changed on Mar 21, 2017 at 4:07:24 AM by Chris Johns

Owner: changed from Chris Johns to Joel Sherrill
Status: newassigned

I suggest you create a patch and apply to the RSB to resolve this. Please close the ticket in the commit.

Thanks.

comment:5 Changed on Mar 23, 2017 at 1:03:28 AM by Chris Johns

Milestone: 4.11.24.11.3

The 4.11.2 milestone is closing.

comment:6 Changed on Feb 5, 2018 at 5:45:16 AM by Chris Johns

If you want Moxie support use master.

comment:7 Changed on Feb 5, 2018 at 5:45:26 AM by Chris Johns

Resolution: wontfix
Status: assignedclosed
Note: See TracTickets for help on using tickets.